org.apache.xerces.xs

## Interface ElementPSVI

- All Superinterfaces:
    ItemPSVI

      public interface ElementPSVI
      extends ItemPSVI

  Represents a PSVI item for one element information item.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xerces.xs.ItemPSVI

      `VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSElementDeclaration` | `getElementDeclaration()` [element declaration]: an item isomorphic to the element declaration used to validate this element.
    `ObjectList` | `getFailedAssertions()` [failed assertions]: failed assertions.
    `ObjectList` | `getInheritedAttributes()` [inherited attributes]: inherited attributes.
    `boolean` | `getNil()` [nil]: true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false.
    `XSNotationDeclaration` | `getNotation()` [notation]: the notation declaration.
    `XSModel` | `getSchemaInformation()` schema information: the schema information property if it is the validation root, `null` otherwise.
    `XSTypeAlternative` | `getTypeAlternative()` [type alternative]: type alternative.

    - ### Methods inherited from interface org.apache.xerces.xs.ItemPSVI

      `constant, getActualNormalizedValue, getActualNormalizedValueType, getErrorCodes, getErrorMessages, getIsSchemaSpecified, getItemValueTypes, getMemberTypeDefinition, getSchemaDefault, getSchemaNormalizedValue, getSchemaValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity, isConstant`

- - ### Method Detail

    - #### getElementDeclaration

          XSElementDeclaration getElementDeclaration()

      [element declaration]: an item isomorphic to the element declaration used to validate this element.

    - #### getNotation

          XSNotationDeclaration getNotation()

      [notation]: the notation declaration.

    - #### getNil

          boolean getNil()

      [nil]: true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false.

    - #### getSchemaInformation

          XSModel getSchemaInformation()

      schema information: the schema information property if it is the validation root, `null` otherwise.

    - #### getInheritedAttributes

          ObjectList getInheritedAttributes()

      [inherited attributes]: inherited attributes.

    - #### getFailedAssertions

          ObjectList getFailedAssertions()

      [failed assertions]: failed assertions.

    - #### getTypeAlternative

          XSTypeAlternative getTypeAlternative()

      [type alternative]: type alternative.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.